# yaz_wait

(PHP 4 >= 4.0.1, PECL yaz >= 0.9.0)

yaz_wait — Espera que las peticiones Z39.50 se completeten

### Descripción

yaz_wait(array `&$options` = ?): mixed

Esta función lleva a cabo en red (bloqueada) la actividad para la solicitudes pendientes que han sido preparados por las funciones yaz_connect(), yaz_search(), yaz_present(), yaz_scan() y yaz_itemorder().

yaz_wait() devuelve cuando todos los servidores han completado todas las solicitudes o abortado (en caso de error).

### Parámetros

`options`

  Un array asociativo de opciones:

  `timeout`

    Establece el tiempo de espera en segundos. Si un servidor no ha respondido en el tiempo de espera se considera muerto y retorna yaz_wait(). El valor por omisión de tiempo de espera es de 15 segundos.

  `event`

    Un boolean.

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error. En modo event, retorna un recource o `false` en caso de error.